#!/usr/bin/env python
# -*- coding: utf-8 -*-

''' Classes and modules for the administrative backend. '''

from django.contrib import admin
from django.contrib.auth import get_user_model
from django.contrib.auth.admin import UserAdmin
from lostplaces_app.models import *

from lostplaces_app.forms import ExplorerCreationForm, ExplorerChangeForm

# Register your models here.

class VoucherAdmin(admin.ModelAdmin):
    fields = ['code', 'expires', 'created']
    readonly_fields = ['created']

admin.site.register(Explorer)
admin.site.register(Voucher, VoucherAdmin)
admin.site.register(Place)
admin.site.register(PlaceImage)
admin.site.register(PhotoAlbum)
