from django.urls import path
from lostplaces_app.views import (
    HomeView, 
    PlaceDetailView, 
    PlaceListView, 
    PlaceCreateView,
    PlaceUpdateView,
    PlaceDeleteView,
    PlaceTagDeleteView,
	PlaceTagSubmitView,
	PhotoAlbumCreateView,
	PhotoAlbumDeleteView,
    FlatView
)

urlpatterns = [
    path('', HomeView.as_view(), name='lostplaces_home'),
    path('place/<int:pk>/', PlaceDetailView.as_view(), name='place_detail'),
    path('place/create/', PlaceCreateView.as_view(), name='place_create'),
	path('photo_album/create/<int:place_id>', PhotoAlbumCreateView.as_view(), name='photo_album_create'),
	path('photo_album/delete/<int:pk>', PhotoAlbumDeleteView.as_view(), name='photo_album_delete'),
    path('place/update/<int:pk>/', PlaceUpdateView.as_view(), name='place_edit'),
    path('place/delete/<int:pk>/', PlaceDeleteView.as_view(), name='place_delete'),
    path('place/', PlaceListView.as_view(), name='place_list'),
    path('flat/<slug:slug>/', FlatView, name='flatpage'),

    # POST-only URLs for tag submission
	path('place/tag/<int:place_id>', PlaceTagSubmitView.as_view(), name='place_tag_submit'),
    path('place/tag/delete/<int:tagged_id>/<int:tag_id>', PlaceTagDeleteView.as_view(), name='place_tag_delete')
]
